<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>

    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />
    <!-- Popper Development version -->
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- Import DataTable Library -->
    <!-- Import them style bootstrap cho datatable -->
    <link
      rel="stylesheet"
      href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css"
    />
    <!-- Import Datatable sau jquery -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans&display=swap"
      rel="stylesheet"
    />

    <style>
      body {
        background: #fafafa;
        min-height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      .login-container {
        width: 37%;
        padding-left: 2rem;
        padding-right: 2rem;
        border-radius: 26px;
        border: 1px solid #d6d6d6;
        background: #fff;
      }

      input {
        box-sizing: border-box;
        display: block;
        width: 100%;
        padding: 1rem;
        margin-bottom: 2rem;
        border-radius: 10px;
        border: 1px solid #eaeaea;
        background: #fff;

        color: #333;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      input:focus {
        box-shadow: 0px 10px 40px 0px rgba(174, 174, 174, 0.2);
        outline: none !important;
      }

      .login {
        margin-top: 4rem;
        color: #000;
        font-family: Plus Jakarta Sans;
        font-size: 35px;
        font-style: normal;
        font-weight: 600;
        line-height: normal;
      }

      .to-get {
        margin-bottom: 3rem;
        color: #000;
        font-family: Plus Jakarta Sans;
        font-size: 25px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .forgot-pass {
        color: #333;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .login-button {
        width: 100%;
        padding: 1rem;
        margin-top: 2rem;
        margin-bottom: 2rem;
        border-radius: 10px;
        border: 1px solid #eaeaea;
        background: #0016df;
        box-shadow: 0px 10px 40px 0px rgba(174, 174, 174, 0.2);

        color: #fff;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .new-user {
        text-align: center;
        margin-bottom: 3rem;
        color: #333;
        font-family: Plus Jakarta Sans;
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
      }

      .check-box {
        width: 22px;
        height: 22px;
        margin-right: 10px;
        margin-bottom: 0px;
        margin-top: -1px;
      }
    </style>
  </head>
  <body>
    <div class="login-container">
      <div class="login">Signup</div>
      <div class="to-get">to get started</div>
      <input type="text" placeholder="Username" id="input-username" />
      <input type="text" placeholder="Email" id="input-email" />
      <input type="password" placeholder="Password" id="input-password" />
      <input type="password" placeholder="Comfirm Password" />
      <div style="display: flex;">
        <input type="checkbox" class="check-box" />
        <div class="forgot-pass">Agree to Our terms and Conditions</div>
      </div>
      <button class="login-button" id="btn-signup">Continue</button>
      <div class="new-user">
        Already registered?
        <span style="font-weight: 600;" id="span-login">Login</span>
      </div>
    </div>
  </body>
</html>

<script>
  $("#span-login").on("click", function () {
    window.location.href = "login.html";
  });

  $("#btn-signup").on("click", function () {
    onBtnSignUpClick();
  });

  // hàm xử lý sự kiện Sign up click
  function onBtnSignUpClick() {
    var vUserObj = {
      username: "",
      email: "",
      password: "",
    };
    // B1: Get data
    vUserObj.username = $("#input-username").val();
    vUserObj.email = $("#input-email").val();
    vUserObj.password = $("#input-password").val();
    // B2: Validate
    var vIsUserValidate = validateUserData(vUserObj);
    if (vIsUserValidate) {
      // B3: call signup api
      $.ajax({
        type: "post",
        headers: {
          "Content-Type": "application/json",
        },
        url: "http://localhost:8080/api/auth/signup",
        dataType: "json",
        data: JSON.stringify(vUserObj),
        success: function (res) {
          console.log(res);
          window.location.href = "login.html";
        },
        error: function (error) {
          console.log(error);
        },
      });
    }
  }

  // hàm validate data
  function validateUserData(paramUserObj) {
    if (paramUserObj.username == "") {
      alert("Username cần nhập");
      return false;
    }

    if (paramUserObj.email == "") {
      alert("Email cần nhập");
      return false;
    }
    if (validateEmail(paramUserObj.email) == false) {
      alert("Email nhập vào không đúng định dạng!");
      return false;
    }

    if (paramUserObj.password == "") {
      alert("Password cần nhập");
      return false;
    }

    return true;
  }

  // hàm kiểm tra email đúng định dạng ko?
  function validateEmail(paramEmail) {
    var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    if (paramEmail.match(vValidRegex)) {
      return true;
    } else {
      return false;
    }
  }
</script>
